package com.izouma.nineth.dto.sumpay;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.context.FileContext;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;
import lombok.Data;

@Data
public class PersonalRegister extends MerchantBaseRequest {

    //就是合作商申请的商户账号
    private String partner_id;
    private String realname;
    private String id_type;
    private String id_no;
    private String mobile_no;
    private FileContext id_card_front;
    private FileContext id_card_back;
    private String id_start_date;
    private String id_end_date;
    private String login_password;
    private String pay_password;
    private String gender;
    private String career;
    private String address;


    @JSONField(
            serialize = false
    )
    public String[] getBase64EncodedWords() {
        return new String[]{"terminal_info", "career", "address", "longitude", "latitude"};
    }

    @JSONField(
            serialize = false
    )
    public String[] getAesEncodedWords() {
        return new String[]{"mobile_no", "realname", "id_no", "login_password", "pay_password"};
    }

    @JSONField(
            serialize = false
    )
    public String[] getCharsetChangeWords() {
        return new String[]{"terminal_info", "realname", "career", "address"};
    }

    @JSONField(
            serialize = false
    )
    public boolean isUserMultipart() {
        return true;
    }

}
